#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-editables
Version		:	0.3
Release		:	14.8.0.0%{?dist}
Summary		:	A Python library for creating editable wheels
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.io/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python-build
BuildRequires	:	python-installer
BuildRequires	:	python-wheel

%if %{with test}
BuildRequires	:	python-attrs
BuildRequires	:	python-py
BuildRequires	:	python3-pip
BuildRequires	:	python3-iniconfig
BuildRequires	:	python3-pytest
BuildRequires	:	python3-setuptools
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-tomli
%endif

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
This library supports the building of wheels which,
when installed, will expose packages in a local
directory on sys.path in "editable mode".
In other words, changes to the package source
will be reflected in the package visible to
Python, without needing a reinstall.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
PYTHONPATH="$PWD"/src					\
pytest -v
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir %{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
